+ Post New Thread
Page 1 of 602 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 15043

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 56,484
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 59,335
    18th Sep 2006 10:46 pm Go to last post
  1. Delete Specific Layers in Multiple Drawings

    Hi All! I'm new to the world of AutoLISP and would appreciate some help. I'd like a lisp routine that deletes specific layers (and any entities within them) from all of the drawings in a...

    Started by omL20Studio‎, 29th Aug 2014 02:40 pm
    • Replies: 7
    • Views: 1,691
    Today 06:28 am Go to last post
  2. Love Delete Specific Layers feature in Multiple Drawings

    hi (Good morning) would you please guide me regarding Delete specific layer features with out open drawings, with how to loads and commands details. Regards Imran

    Started by haqrao‎, Today 06:09 am
    rao
    • Replies: 0
    • Views: 25
    Today 06:09 am Go to last post
  3. VLA-? statements future - after VBA is discontinued

    Regarding the fact that Autodesk has discontinued VBA support for AutoCAD, I’m just wondering what will happen in the future with the "vla-?" statements currently offered by AutoLISP language? I mean...

    Started by MSasu‎, 25th Nov 2009 02:04 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 3,424
    Today 04:49 am Go to last post
  4. Lisp plot withoyut pick by windowns (2 point on xref)

    Hello everone. I want plot a drawing by select frame xref (adlayout before) instead of pick 2 point ( by windowns). I try write but failed, i hope everbody help me. Thank you very much!!. Have a good...

    Started by thanhdattdk‎, Today 01:56 am
    • Replies: 1
    • Views: 61
    Today 04:27 am Go to last post
  5. Copy objects from multiple drawings

    I have 200 drawings in a folder. How do I copy from the 200 drawings of all objects from layer1, layer2... in the existing drawing.

    Started by jevrem1‎, 20th Feb 2017 03:31 pm
    • Replies: 7
    • Views: 231
    Today 03:16 am Go to last post
  6. Lee Mac Steal Routine - Using Variables

    First off, Lee Mac's routine has been extremely useful, and I have made use of it in many of my routines (http://www.lee-mac.com/steal.html). My question is in regards to how to use his routine to...

    Started by broncos15‎, Today 12:23 am
    • Replies: 3
    • Views: 71
    Today 02:24 am Go to last post
  7. Using Command SELECT with ssget

    Hello everyone. I am having a mental blank as i am sure i know the solution to this but cannot remember I am trying to have a shortcut to select all xrefs starting with X* I have tried this...

    Started by SunnyTurtle‎, 12th Jan 2017 06:51 am
    select, ssget
    • Replies: 2
    • Views: 240
    Today 01:50 am Go to last post
  8. Can this be achieved using Lisp?

    I have had a look through objects, properties, methods and events and I am unable to determine if the following application can also be achieved using LISP? ...

    Started by abra-CAD-abra‎, Yesterday 04:44 am
    • Replies: 1
    • Views: 133
    Yesterday 10:51 pm Go to last post
  9. AutoCAD Text fit lisp

    Hi All, I was wondering if there was a lisp routine out there that when you drop a dtext string into a rectanlge that it would shrink down to fit inside? I looked at the text fit command in the...

    Started by BrianTFC‎, 7th Jan 2013 04:30 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 4,266
    Yesterday 04:31 pm Go to last post
  10. Mirror Feature Line

    So I am trying to add in the functionality to mirror feature lines (for some reason this functionality isn't built into AutoCAD). I have a few quick questions in how to go about it: 1) how do I make...

    Started by broncos15‎, 20th Feb 2017 11:10 pm
    • Replies: 5
    • Views: 181
    Yesterday 04:17 pm Go to last post
  11. Unhappy Adding number of selected mtext using lisp

    Good day Sir/Maam, Can any one teach me how to modify this code.. i need to select a text in my drawing and that selected text will be added .. please help me!!! :cry::cry::cry::cry::cry::cry:...

    Started by reynaldomalasaga‎, 20th Feb 2017 03:13 am
    • Replies: 4
    • Views: 189
    Yesterday 08:55 am Go to last post
  12. Multiple Default attribute values transfered into 1 target

    Hi Everyone Need help to modify some code or re-write........Struggling I would like to transfer the default attribute value of multiple blocks (say 3 max) into 1 single block by using a window...

    Started by EzyG‎, 19th Feb 2017 01:11 pm
    • Replies: 5
    • Views: 255
    Yesterday 08:06 am Go to last post
  13. Erase objects for all layouts in areas

    I would like to a lisp to do routine. From the photo, I want to delete objects in Area A & Area B for other layout in a drawing. I have tens of drawings to do the same thing.

    Started by CloudJack‎, 15th Feb 2017 02:48 am
    • Replies: 7
    • Views: 314
    Yesterday 03:04 am Go to last post
  14. Changing color with entmod if the object color is set to Bylayer

    I've always used entmode to change an attribute of an object. I wanted to use the following code to change the color of an object: (setq object (entget (car (entsel)))) (entmod (subst (cons 62 1)...

    Started by SLaszlo‎, 20th Feb 2017 04:07 pm
    • Replies: 4
    • Views: 133
    Yesterday 02:26 am Go to last post
  15. Problem with function ACET-.......

    Hello everybody. Can anyone halp me with this code: defun getfencesel (en flt / fe ss) (vl-cmdf "_ZOOM" "_E") (setq ss (ssadd en)) (setq fe (acet-list-remove-adjacent-dups...

    Started by pawcyk‎, 16th Feb 2017 09:13 pm
    • Replies: 7
    • Views: 422
    20th Feb 2017 06:37 pm Go to last post
  16. Lisp to Label Contours

    Hi, Does anyone know of any good lisp routines that will allow you to select a polyline which has a Z vales and have it place a text label of the elevation over the line with a background mask?...

    Started by cgv‎, 26th Nov 2013 11:23 pm
    • Replies: 3
    • Views: 5,051
    20th Feb 2017 05:33 am Go to last post
  17. Area split equal.

    Hello, I need one help to do a LISP that can execute it: get one irregular area, and split it according a specific aredea defined, like, 100 m², and I need to split it in 25 m² (I know that it...

    Started by CafeJr‎, 7th Oct 2013 08:13 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 49
    • Views: 14,514
    18th Feb 2017 11:38 am Go to last post
  18. Filtering out objects in ssget

    hey guys! So i'm trying to build a lisp that will prompt the user to select some objects, filter out which ones are polylines and resize the width of the polylines. I am able to get it to...

    Started by jesset‎, 17th Feb 2017 09:14 pm
    • Replies: 4
    • Views: 228
    18th Feb 2017 05:50 am Go to last post
  19. Question LISP for inserting multiple blocks

    Hello all, I'm new to using LISP and was wondering if there was a LISP for inserting multiple blocks by name. The company I work for deals with lots of cranes, so we have a large block library....

    Started by smithjarid54‎, 16th Feb 2017 09:33 pm
    • Replies: 5
    • Views: 318
    17th Feb 2017 09:57 pm Go to last post
  20. Store multiple groups of objects to paste later in LISP

    Hi again Is it possible to have multiple objects/selection sets stored on the clipboard or elsewhere? I am looking at a routine in which I would like to copy a bunch of objects to the clipboard...

    Started by Esteban_CAD‎, 17th Feb 2017 05:31 pm
    • Replies: 1
    • Views: 197
    17th Feb 2017 07:09 pm Go to last post
  21. Copy Tags with field

    Hi everyboady. İ want to copy tags with field. Already i do, but i have a problem :ouch: When i do this, i dont want to use "command" and "regen". Is this possible ? (defun c:axx (/ *error* ss ob...

    Started by Travaci‎, 14th Feb 2017 10:25 pm
    • Replies: 1
    • Views: 190
    17th Feb 2017 06:54 pm Go to last post
  22. Question Confusion with lambda function

    Hi Guys How to Create Line for coordinates from list using lambda function Please need help for solve this (defun c:test(/ lst ) (setq lst '((1515.32 999.613 0.0) (2314.23 1081.97...

    Started by gS7‎, 17th Feb 2017 05:24 pm
    • Replies: 4
    • Views: 216
    17th Feb 2017 06:43 pm Go to last post
  23. Question Get all the objects in the container ?

    I see a function ,But No subfunctions. Hi Guys ,Do you have such a same function?  Can share it? ;;Name - Layer Ltype Dimstyle Style Group Block Mlstyle Ucs View Viewport APPID...

    Started by DuanJinHui‎, 16th Feb 2017 03:51 am
    • Replies: 1
    • Views: 178
    17th Feb 2017 04:53 am Go to last post
  24. Drawing LISP - Automatic dimensions according to set rules

    Hello everyone, I work with a glazing company and am trying to write an AutoLISP command that will automate a large part of our job by dimensioning glass panels with holes and cutout in the format...

    Started by Kyler‎, 8th Feb 2017 05:53 pm
    • Replies: 4
    • Views: 512
    17th Feb 2017 01:09 am Go to last post
  25. How to make list of point entity

    This is the part of code. I am getting the ; error: bad list of points How we will make list of points pt1 and pt2 to pass in ssget "_F". please help (setq txt (entsel "Select text: ")) ...

    Started by subodh_gis‎, 16th Feb 2017 08:52 am
    autolisp
    • Replies: 7
    • Views: 229
    16th Feb 2017 07:19 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts